API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}
API Resource Path: /keyvaluemaps?expand=true
Returns an expanded view of all Maps scoped by organization, environment, or API
Verb: GET
Auth: Basic AuthContent Types:
application/json
text/xml
Returns an expanded view of all KeyValueMaps scoped by organization, environment, or API. An expanded view displays all entries for each KeyValueMap returned.
Sample Request:For KeyValueMaps scoped to organization:
$ curl https://api.enterprise.apigee.com/v1/o/{org_name}/keyvaluemaps?expand=true \
-u myname:mypass
For KeyValueMaps scoped to environment:
$ curl https://api.enterprise.apigee.com/v1/o/{org_name}/environments/{env_name}keyvaluemaps?expand=true \
-u myname:mypass
For KeyValueMaps scoped to API:
$ curl https://api.enterprise.apigee.com/v1/o/{org_name}/apis/{api_name}/keyvaluemaps?expand=true \
-u myname:mypass
Sample Response:
{
"map" : [ {
"entry" : [ ],
"name" : "sandbox_map"
}, {
"entry" : [ {
"name" : "qa",
"value" : "user2"
}, {
"name" : "dev",
"value" : "user1"
} ],
"name" : "prodmap"
} ]
}
Response Payload Elements:
| Name | Description |
|---|---|
| map | Top level element for a map |
| entry | Name/value pair that defines the entry |
| name | The name of the map |
{
"code" : "keymanagement.service.organization_map_entry_error",
"message" : "Cound not retrive maps list",
"contexts" : [ ]
}